Bug 250383 - Browsed (remote) printers appear even with "Browsing Off"
Browsed (remote) printers appear even with "Browsing Off"
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cups (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Depends On:
  Show dependency treegraph
Reported: 2007-08-01 05:10 EDT by Tim Waugh
Modified: 2009-01-20 16:58 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-20 16:58:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
cups-str2084.patch (486 bytes, patch)
2007-08-01 05:25 EDT, Tim Waugh
no flags Details | Diff
cups-str2198.patch (468 bytes, patch)
2007-08-01 05:26 EDT, Tim Waugh
no flags Details | Diff

External Trackers
Tracker ID Priority Status Summary Last Updated
CUPS Bugs and Features 2084 None None None Never
CUPS Bugs and Features 2198 None None None Never

  None (edit)
Description Tim Waugh 2007-08-01 05:10:33 EDT
Description of problem:
The cache of remote browsed printers is (a) loaded, and (b) not timed out, when
the Browsing configuration option is set to Off.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.In the Server Settings options, allow browsing.
2.Set up another CUPS machine and allow sharing, and create a queue.
3.Wait for the created queue to show up in the first machine's list of queues.
4.In the Server Settings options, disable browsing.
5.Wait, observe queue still available.
6.Restart CUPS, observe queue still available.
Expected results:
Queue no longer available in step 5.

Additional info:
This was already fixed upstream.  Patch available.
Comment 1 Tim Waugh 2007-08-01 05:25:56 EDT
Created attachment 160400 [details]
Comment 2 Tim Waugh 2007-08-01 05:26:17 EDT
Created attachment 160401 [details]
Comment 5 Phil Knirsch 2008-04-30 11:42:02 EDT
Proposing for RHEL-5.3 and granting Devel ACK.

Read ya, Phil
Comment 6 RHEL Product and Program Management 2008-06-02 16:34:46 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 11 errata-xmlrpc 2009-01-20 16:58:25 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.